classification
Title: test_tokenize fails when run directly
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: matrixise, serhiy.storchaka
Priority: normal Keywords: easy

Created on 2017-07-25 12:25 by serhiy.storchaka, last changed 2017-08-05 18:28 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2865 merged matrixise, 2017-07-25 12:33
PR 2998 merged rajathagasthya, 2017-08-04 05:01
Messages (6)
msg299062 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-25 12:25
$ ./python Lib/test/test_tokenize.py
Traceback (most recent call last):
  File "Lib/test/test_tokenize.py", line 1607, in <module>
    unittest.main()
NameError: name 'unittest' is not defined
msg299064 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2017-07-25 12:31
fixed, I am going to push my branch
msg299066 - (view) Author: Stéphane Wirtel (matrixise) * (Python committer) Date: 2017-07-25 12:44
Serhiy you are free to merge my PR, and I will do the backport for 3.6
msg299080 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-25 13:33
New changeset 90addd6d1c1fde4ec12a6b554d1deacfac6a879c by Serhiy Storchaka (Stéphane Wirtel) in branch 'master':
bpo-31029: test_tokenize Add missing import unittest (#2865)
https://github.com/python/cpython/commit/90addd6d1c1fde4ec12a6b554d1deacfac6a879c
msg299081 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-07-25 13:34
Thanks Stéphane.
msg299791 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-08-05 18:28
New changeset 9cd0ef8f3b93818f0ee5318cb1fc9a1ea32e95b6 by Serhiy Storchaka (Rajath Agasthya) in branch '3.6':
bpo-31029: test_tokenize Add missing import unittest (#2998)
https://github.com/python/cpython/commit/9cd0ef8f3b93818f0ee5318cb1fc9a1ea32e95b6
History
Date User Action Args
2017-08-05 18:28:49serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: backport needed -> resolved
2017-08-05 18:28:19serhiy.storchakasetmessages: + msg299791
2017-08-04 05:01:30rajathagasthyasetpull_requests: + pull_request3035
2017-07-25 13:34:43serhiy.storchakasetstage: backport needed
2017-07-25 13:34:36serhiy.storchakasetmessages: + msg299081
2017-07-25 13:33:57serhiy.storchakasetmessages: + msg299080
2017-07-25 12:44:01matrixisesetmessages: + msg299066
2017-07-25 12:33:10matrixisesetpull_requests: + pull_request2915
2017-07-25 12:31:00matrixisesetnosy: + matrixise
messages: + msg299064
2017-07-25 12:25:22serhiy.storchakacreate